obj
	// The light object is just a gradually darkening circle going from pure white to black
	light
		mouse_opacity = 0
		icon = 'icons/light.dmi'
		plane = DARKNESS_PLANE // We want it on the same plane as the darkness master (1)
		blend_mode = BLEND_ADD // The light will be added to anything behind it
		appearance_flags = RESET_ALPHA | RESET_TRANSFORM | TILE_BOUND | LONG_GLIDE // We generally don't want the light being touched by the transform/alpha of the attached object.
		// You can change this of course, or just modify the light object along with the mob.
		var
			scale_number = ((32 - 250) / 2) // Some maths to get a nice center point when scaling the light
			scale_amount = 1

		New()
			..()
			transform = matrix(1,0,scale_number,0,1,scale_number) // Position the light
			if(scale_amount != 1)
				transform = matrix(scale_amount, MATRIX_SCALE) * transform // *then* scale it as needed
			// This makes the object positioned correctly when used as a vis_contents object as opposed to an overlay.