mob
	var
		tmp
			// Some prototypes to turn into objects so we can manipulate the planes and light after creation.
			// You don't actually need to store them in variables if you don't plan to do anything with them later.
			obj
				planes
					master/master_plane
					darkness/darkness_plane
				light/light

	Login()
		..()
		// First we create the two planes, then the light object.
		master_plane = new()
		darkness_plane = new()
		light = new()

		// And throw the planes onto the screen
		client.screen.Add(master_plane,darkness_plane)
		// I was using vis_contents here, but that requires complicating the code needlessly with extra appearance flags, so we'll stick to client.screen for simplicity.

		// As long as a PLANE_MASTER is visible to the client in someway (either via client.screen, on the map, a visible /image, etc) it'll do its thing.

		// Now we add the light to vis_contents, which is effectively like an overlay in this case without the extra overhead.
		vis_contents += light
